Bug 166208 - Review Request: tinyerp : Open Source ERP Client
Summary: Review Request: tinyerp : Open Source ERP Client
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: David Lawrence
URL: http://tinyerp.org
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-08-17 20:59 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 09:01:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom "spot" Callaway 2005-08-17 20:59:04 UTC
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/tinyerp.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/tinyerp-2.1.3-5.src.rpm

Description: 

Tiny ERP is a free enterprise management software package. It
covers all domains for small to medium businesses; accounting,
stock management, sales, customer relationship, purchases,
project management...

Comment 1 José Matos 2005-08-18 12:55:03 UTC
Review Request: tinyerp : Open Source ERP Client  
  
I copy parts of a message sent to the extras list before:  
  
  The package seems interesting but I am unable to make it:  
  
+ ./setup.py build  
Xlib: connection to "localhost:0.0" refused by server  
Xlib: No protocol specified  
  
  This is what I get using mock. I am building the packages remotely and I   
would expect for the fedora build system to fail as well in this case.  
  
  The culprit it is clearly the pygtk2 detection code that requires an X   
server to be running to confirm that the package is present. Is there any   
other alternative for this?  
 

Comment 2 Tom "spot" Callaway 2005-08-18 14:22:54 UTC
Hmm. Good point. I worked around this by using Xvfb instead. Take a look at -6:

New SRPM: http://www.auroralinux.org/people/spot/review/tinyerp-2.1.3-6.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/tinyerp.spec

Comment 3 José Matos 2005-08-18 19:09:35 UTC
+ It builds cleanly in mock for FC4/i386 
 
+ rpmlint gives: 
E: tinyerp 
incorrect-locale-sv /usr/share/locale/sw/LC_MESSAGES/tinyerp-client.mo 
 
  (weird) 
 
E: tinyerp-server explicit-lib-dependency libxml2-python 
E: tinyerp-server explicit-lib-dependency libxslt-python 
 
  (it is just rpmlint being silly, can be ignored) 
 
E: tinyerp-server 
non-executable-script /usr/lib/python2.4/site-packages/tinyerp_server/report/render/rml2pdf/trml2pdf.py 
0644 
E: tinyerp-server 
non-executable-script /usr/lib/python2.4/site-packages/tinyerp_server/addons/stock/stock.py 
0644 
E: tinyerp-server 
non-executable-script /usr/lib/python2.4/site-packages/tinyerp_server/report/render/rml2html/rml2html.py 
0644 
E: tinyerp-server 
non-executable-script /usr/lib/python2.4/site-packages/tinyerp_server/netsvc.py 
0644 
 
  (I trust your judgment here.) 
 
+ license is correct (GPL) and is present in both packages 
+ %find_lang use 
+ spec file is written in English and is readable 
+ %{?dist} use 
+ desktop entry 
+ %files is correct and it handles directory ownership correctly 
+ sha1sum of sources is the same as upstream 
+ %subject is OK 
+ %description is OK 
 
After all this consider it APPROVED. 
 

Comment 4 José Matos 2006-08-29 08:55:40 UTC
Reopening bug to fix assignee.

Comment 5 José Matos 2006-08-29 09:01:13 UTC
Assignee fixed, closing again.


Note You need to log in before you can comment on or make changes to this bug.